package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.pojo.mes.bean.shipping.MesLoadingListDetail;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-04-26 15:44
 * @Modify:
 **/
@Data
public class MesShippingLoadingCheckModel {

    @ApiParam("操作人")
    private String userInfo;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("装车单")
    private String orderCode;

    @ApiParam("最近扫描完成的装车单号")
    private String recentlyScanVehiclesOrder;

    @ApiParam("发运单号")
    private String shippingCode;

    @ApiParam("已扫描数量")
    private Integer isScanCount = 0;

    @ApiParam("装车单明细")
    private List<MesLoadingListDetail> detailList;

}
