package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesPart;
import cn.estsh.i3plus.pojo.mes.bean.MesPartSap;
import io.swagger.annotations.ApiOperation;

/**
 * @Description : 物料信息
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/6/13 15:18
 * @Modify:
 **/
public interface IMesPartService {

    @ApiOperation(value = "查询物料信息")
    ListPager<MesPart> queryMesPart(MesPart mesPart, Pager pager);

    @ApiOperation(value = "根据物料代码查询物料信息")
    MesPart getMesPartByPartNo(String partNo,String organizeCode);

    @ApiOperation(value = "根据物料代码查询SAP物料信息")
    MesPartSap getMesPartSapByPartNo(String partNo, String organizeCode);
}
