package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.mes.bean.MesProduceSn;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrder;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IMesWorkOrderExtService {

    @ApiOperation(value = "根据生产工单号集合 查询生产工单数据")
    List<MesWorkOrder> getWorkOrderList(String organizeCode, List<String> workOrderNoList);

    @ApiOperation(value = "根据生产工单ID查询生产工单信息")
    MesWorkOrder getWorkOrder(String organizeCode, Long id);

    @ApiOperation(value = "根据生产工单顺序号,生产线代码查询上一个生产工单信息")
    MesWorkOrder getWorkOrder(String organizeCode, String workCenterCode, Long produceSeq);

    MesWorkOrder insert(MesWorkOrder item);

    void update(MesWorkOrder item);

    @ApiOperation(value = "根据生产工单ID查询生产工单信息")
    List<MesWorkOrder> getWorkOrderListByShiftCode(String organizeCode, String workCenterCode, String shiftCode);
}
