package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesProduceSn;
import cn.estsh.i3plus.pojo.mes.bean.MesProductionRecord;
import cn.estsh.i3plus.pojo.mes.bean.MesShift;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrder;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-04-26 15:37
 * @Modify:
 **/
public interface IMesWorkOrderService {


    @ApiOperation(value = "查询工单")
    public MesWorkOrder queryMesWorkOrder(MesWorkOrder workOrder);

    @ApiOperation(value = "查询工单")
    public List<MesWorkOrder> queryMesWorkOrderList(MesWorkOrder workOrder);

    @ApiOperation(value = "查询工单")
    public ListPager<MesWorkOrder> queryMesWorkOrderListByPager(MesWorkOrder workOrder, Pager pager);


    void doProductReport(List<MesProduceSn> mesProduceSns, String organizeCode, String userName);

    /**
     * 获取未报工
     * @param organizeCode
     * @return
     */
    public List<MesProductionRecord> getUnReportMesProduceSn(String organizeCode);

    List<MesProductionRecord> getPreDayReportMesProductionRecord(String organizeCode , List<MesShift> mesShiftList, String  workCenterCode);

    List<MesProduceSn> getPreDayReportMesProduceSn(String organizeCode ,List<MesProductionRecord> mesProductionRecordList );

    List<MesWorkOrder> insertMesWorkOrder(List<MesProductionRecord> mesProductionRecordList,List<MesShift> mesShiftList,String organizeCode, String userName );

    void doPcnJobProductReport(List<MesProductionRecord> mesProductionRecordList,List<MesShift> mesShiftList,String organizeCode, String userName, MesWorkOrder mesWorkOrder);


    void doProductReportByRecord(MesProductionRecord productionRecord, String organizeCode, String userName);

    void doProductHasOrderReportByRecord(MesProductionRecord productionRecord, String organizeCode, String userName);

    /**
     * 获取未报工
     * @param organizeCode
     * @return
     */
    List<MesProductionRecord> getUnReportHasOrderMesProduceSn(String organizeCode);
}
